it.csi.mddtools.guigen

## Interface Calendar

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget

      public interface Calendar
      extends DataWidget

  A representation of the model object 'Calendar'. Campo di immissione per date, con strumento per la selezione della data (date picker).

  The following features are supported:

  - `Select Year`
  - `Select Month`
  - `Select Year Range`
  See Also:
    `GuigenPackage.getCalendar()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSelectYearRange()` Returns the value of the 'Select Year Range' attribute
    `boolean` | `isSelectMonth()` Returns the value of the 'Select Month' attribute.
    `boolean` | `isSelectYear()` Returns the value of the 'Select Year' attribute.
    `void` | `setSelectMonth(boolean value)` Sets the value of the '`Select Month`' attribute
    `void` | `setSelectYear(boolean value)` Sets the value of the '`Select Year`' attribute
    `void` | `setSelectYearRange(java.lang.String value)` Sets the value of the '`Select Year Range`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isSelectYear

          boolean isSelectYear()

      Returns the value of the 'Select Year' attribute. The default value is `"false"`. se valorizzato a true permette all'utente la scelta dell'anno tramite una dropdown list
      Returns:
        the value of the 'Select Year' attribute.
      See Also:
        `setSelectYear(boolean)`, `GuigenPackage.getCalendar_SelectYear()`

    - #### setSelectYear

          void setSelectYear(boolean value)

      Sets the value of the '`Select Year`' attribute.
      Parameters:
        `value` - the new value of the 'Select Year' attribute.
      See Also:
        `isSelectYear()`

    - #### isSelectMonth

          boolean isSelectMonth()

      Returns the value of the 'Select Month' attribute. The default value is `"false"`. se valorizzato a true permette all'utente la scelta del mese tramite una dropdown list
      Returns:
        the value of the 'Select Month' attribute.
      See Also:
        `setSelectMonth(boolean)`, `GuigenPackage.getCalendar_SelectMonth()`

    - #### setSelectMonth

          void setSelectMonth(boolean value)

      Sets the value of the '`Select Month`' attribute.
      Parameters:
        `value` - the new value of the 'Select Month' attribute.
      See Also:
        `isSelectMonth()`

    - #### getSelectYearRange

          java.lang.String getSelectYearRange()

      Returns the value of the 'Select Year Range' attribute. permette di specificare il range di selezione dell'anno (utilizzato solo se selectYear = true:
      - "-nn:+nn" : range relativo all'anno corrente (es. "-100:+50")
      - "c-nn:c+nn" : range relativo all'anno correntemente selezionato (es. "c-5:c+5")
      - "-nnnn:+nnnn" : range assoluto (es. "-1950:+1999")
      Returns:
        the value of the 'Select Year Range' attribute.
      See Also:
        `setSelectYearRange(String)`, `GuigenPackage.getCalendar_SelectYearRange()`

    - #### setSelectYearRange

          void setSelectYearRange(java.lang.String value)

      Sets the value of the '`Select Year Range`' attribute.
      Parameters:
        `value` - the new value of the 'Select Year Range' attribute.
      See Also:
        `getSelectYearRange()`